Loading...
Searching...
No Matches
pcl::detail::AccumulatorXYZ Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

using | IsCompatible = pcl::traits::has_xyz< boost::mpl::_1 >

## Public Member Functions

template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, std::size_t n) const

## Public Attributes

Eigen::Vector3f | xyz = Eigen::Vector3f::Zero ()

## Detailed Description

Definition at line 68 of file accumulators.hpp.

## Member Typedef Documentation

## IsCompatible

using pcl::detail::AccumulatorXYZ::IsCompatible = pcl::traits::has_xyz<boost::mpl::_1>

Definition at line 72 of file accumulators.hpp.

## Member Function Documentation

## add()

template<typename PointT >

void pcl::detail::AccumulatorXYZ::add | ( | const PointT & | t | ) |

inline

Definition at line 78 of file accumulators.hpp.

References xyz.

## get()

template<typename PointT >

void pcl::detail::AccumulatorXYZ::get | ( | PointT & | t,
|  | std::size_t | n
| ) |  | const

inline

Definition at line 81 of file accumulators.hpp.

References xyz.

## Member Data Documentation

## xyz

Eigen::Vector3f pcl::detail::AccumulatorXYZ::xyz = Eigen::Vector3f::Zero ()

Definition at line 75 of file accumulators.hpp.

Referenced by add(), and get().

The documentation for this struct was generated from the following file:

- pcl/common/impl/accumulators.hpp